package vip.xiaonuo.timer;


import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpBdOrgService;
import vip.xiaonuo.erp.service.IErpCaiWuService;

@Slf4j
@Component
public class ErpVoucherTimer implements CommonTimerTaskRunner {

    @Autowired
    private IErpCaiWuService erpCaiWuService;

    @Override
    public void action() {
        erpCaiWuService.getShouRuJinE();
        erpCaiWuService.getDangQianYueYingYeChengBen();
        erpCaiWuService.getDagnQianYueLiRun();
        erpCaiWuService.getDangQianZiJinYvE();
        erpCaiWuService.getDangYueJieKuan();
        erpCaiWuService.getGuoNeiWaiShouRu();
        erpCaiWuService.getChanPinZhanBi();
        erpCaiWuService.getLiRunQuShi();
        erpCaiWuService.getLinJinHuanKuan();

    }
}
